﻿* Encoding: UTF-8.


GET DATA
  /TYPE=XLSX
  /FILE='<enter file name location here>GD_rawdata_200528.xlsx'
  /SHEET=name 'data (22)'
  /CELLRANGE=FULL
  /READNAMES=ON
  /DATATYPEMIN PERCENTAGE=95.0
  /HIDDEN IGNORE=YES.
exe.

**** SUMMARY***
*datafile cleaned using below syntax.
*KEY VARIABLES
1. Pathway is the first pathway chosen by users (hand hygiene / protect-yourself / you-might-have / someone-else-might-have / someone-else-high-risk
2. Pathway2 is the second pathway chosen etc up to Pathway5
3. Group is the pathway INDEPENDENT OF VISITING HAND HYGIENE.


*TIDYING*

alter type handwashingstart to aboutfinish (F2).
compute dateonly = trunc(date,86400).
compute snapshot = 1.
if dateonly < 13808102400 snapshot = 0.
if dateonly > 13809657600 snapshot = 0.
variable labels snapshot 'Within Date'.
value labels snapshot
1 'Yes'
2 'No'.
execute.
alter type dateonly (EDATE8).

exe.
do repeat a = averagewashpre to someoneElseHighRiskWearMaskIntentions3.
if a = 0 a = $sysmis. 
end repeat.
execute.

do repeat a = handwashingStart to aboutFinish.
compute a = a * 10000.
end repeat.
execute.


**computing whether people visited hand hygiene or not***


compute handwashing = 0. 
if handwashingstart > 0 handwashing = 1.
variable labels handwashing 'Handwashing Content'.
value labels handwashing
1 'Handwashing Yes'
2 'Handwashing No'.
execute.


**PATHWAY***
**computing pathway - which section people visited first***

COMPUTE first_selected=min(handwashingStart to aboutStart).
if first_selected = handwashingstart pathway = 1.
if first_selected = protectYourselfStart pathway = 2.
if first_selected = youMightHaveStart pathway = 3.
if first_selected = someoneElseMightHaveStart pathway = 4.
if first_selected = someoneElseHighRiskStart pathway = 5.
if first_selected = handwashing2start pathway = 6.
if first_selected = illness2Start pathway = 7.
if first_selected = aboutstart pathway = 8.
execute.

variable labels pathway 'Content first accessed'.
value labels pathway
1 'Handwashing'
2 'Protect Yourself'
3 'You Might Have'
4 'Someone Else Might Have'
5 'Someone Else High Risk'
6 'Handwashing 2'
7 'More info about illness'
8 'About the site'.
execute.


****compute second selected

do repeat a = handwashingStart to aboutstart.
if a = first_selected a = $sysmis.
end repeat.
execute.
COMPUTE second_selected=min(handwashingStart to aboutStart).
if second_selected = handwashingstart pathway2 = 1.
if second_selected = protectYourselfStart pathway2 = 2.
if second_selected = youMightHaveStart pathway2 = 3.
if second_selected = someoneElseMightHaveStart pathway2 = 4.
if second_selected = someoneElseHighRiskStart pathway2 = 5.
if second_selected = handwashing2start pathway2 = 6.
if second_selected = illness2Start pathway2 = 7.
if second_selected = aboutstart pathway2 = 8.
execute.

****compute third selected

do repeat a = handwashingStart to aboutstart.
if a = second_selected a = $sysmis.
end repeat.
execute.
COMPUTE third_selected=min(handwashingStart to aboutStart).
if third_selected = handwashingstart pathway3 = 1.
if third_selected = protectYourselfStart pathway3 = 2.
if third_selected = youMightHaveStart pathway3 = 3.
if  third_selected = someoneElseMightHaveStart pathway3 = 4.
if third_selected = someoneElseHighRiskStart pathway3 = 5.
if third_selected = handwashing2start pathway3 = 6.
if third_selected = illness2Start pathway3 = 7.
if third_selected = aboutstart pathway3 = 8.
execute.

****compute fourth selected

do repeat a = handwashingStart to aboutstart.
if a = third_selected a = $sysmis.
end repeat.
execute.
COMPUTE fourth_selected=min(handwashingStart to aboutStart).
if fourth_selected = handwashingstart pathway4 = 1.
if fourth_selected = protectYourselfStart pathway4 = 2.
if fourth_selected = youMightHaveStart pathway4 = 3.
if  fourth_selected = someoneElseMightHaveStart pathway4 = 4.
if fourth_selected = someoneElseHighRiskStart pathway4 = 5.
if fourth_selected = handwashing2start pathway4 = 6.
if fourth_selected = illness2Start pathway4 = 7.
if fourth_selected = aboutstart pathway4 = 8.
execute.

****compute fourth selected

do repeat a = handwashingStart to aboutstart.
if a = fourth_selected a = $sysmis.
end repeat.
execute.
COMPUTE fifth_selected=min(handwashingStart to aboutStart).
if fifth_selected = handwashingstart pathway5 = 1.
if fifth_selected = protectYourselfStart pathway5 = 2.
if fifth_selected = youMightHaveStart pathway5 = 3.
if fifth_selected = someoneElseMightHaveStart pathway5 = 4.
if fifth_selected = someoneElseHighRiskStart pathway5 = 5.
if fifth_selected = handwashing2start pathway5 = 6.
if fifth_selected = illness2Start pathway5 = 7.
if fifth_selected = aboutstart pathway5 = 8.
execute.

***make sure handwash scores use latest plan**

compute averagewashintentions = averagewashintentions1.
if averagewashintentions2 > 0 averagewashintentions = averagewashintentions2.
if averagewashintentions3 > 0 averagewashintentions = averagewashintentions3. 
compute beforesnackintentions = beforesnackintentions1.
if beforesnackintentions2 > 0 beforesnackintentions = beforesnackintentions2.
if beforesnackintentions3 > 0 beforesnackintentions = beforesnackintentions3. 
compute comehomeintentions = comehomeintentions1.
if comehomeintentions2 > 0 comehomeintentions = comehomeintentions2.
if comehomeintentions3 > 0 comehomeintentions = comehomeintentions3. 
compute aftersneezingintentions = aftersneezingintentions1.
if aftersneezingintentions2 > 0 aftersneezingintentions = aftersneezingintentions2.
if aftersneezingintentions3 > 0 aftersneezingintentions = aftersneezingintentions3. 
compute aftercontactintentions = aftercontactintentions1.
if aftercontactintentions2 > 0 aftercontactintentions = aftercontactintentions2.
if aftercontactintentions3 > 0 aftercontactintentions = aftercontactintentions3. 
compute aftertouchingintentions = aftertouchingintentions1.
if aftertouchingintentions2 > 0 aftertouchingintentions = aftertouchingintentions2.
if aftertouchingintentions3 > 0 aftertouchingintentions = aftertouchingintentions3. 

compute protectYourselfKeepDistanceintentions = protectYourselfKeepDistanceintentions1.
if protectYourselfKeepDistanceintentions2 > 0 protectYourselfKeepDistanceintentions = protectYourselfKeepDistanceintentions2.
if protectYourselfKeepDistanceintentions3 > 0 protectYourselfKeepDistanceintentions = protectYourselfKeepDistanceintentions3. 
compute protectYourselfCleanintentions = protectYourselfCleanintentions1.
if protectYourselfCleanintentions2 > 0 protectYourselfCleanintentions = protectYourselfCleanintentions2.
if protectYourselfCleanintentions3 > 0 protectYourselfCleanintentions = protectYourselfCleanintentions3. 
compute protectYourselfPutAsideintentions = protectYourselfPutAsideintentions1.
if protectYourselfPutAsideintentions2 > 0 protectYourselfPutAsideintentions = protectYourselfPutAsideintentions2.
if protectYourselfPutAsideintentions3 > 0 protectYourselfPutAsideintentions = protectYourselfPutAsideintentions3. 
compute protectYourselfOwnRoomintentions = protectYourselfOwnRoomintentions1.
if protectYourselfOwnRoomintentions2 > 0 protectYourselfOwnRoomintentions = protectYourselfOwnRoomintentions2.
if protectYourselfOwnRoomintentions3 > 0 protectYourselfOwnRoomintentions = protectYourselfOwnRoomintentions3. 
compute protectYourselfWearMaskintentions = protectYourselfWearMaskintentions1.
if protectYourselfWearMaskintentions2 > 0 protectYourselfWearMaskintentions = protectYourselfWearMaskintentions2.
if protectYourselfWearMaskintentions3 > 0 protectYourselfWearMaskintentions = protectYourselfWearMaskintentions3. 


compute youmighthaveKeepDistanceintentions = youmighthaveKeepDistanceintentions1.
if youmighthaveKeepDistanceintentions2 > 0 youmighthaveKeepDistanceintentions = youmighthaveKeepDistanceintentions2.
if youmighthaveKeepDistanceintentions3 > 0 youmighthaveKeepDistanceintentions = youmighthaveKeepDistanceintentions3. 
compute youmighthaveCleanintentions = youmighthaveCleanintentions1.
if youmighthaveCleanintentions2 > 0 youmighthaveCleanintentions = youmighthaveCleanintentions2.
if youmighthaveCleanintentions3 > 0 youmighthaveCleanintentions = youmighthaveCleanintentions3. 
compute youmighthavePutAsideintentions = youmighthavePutAsideintentions1.
if youmighthavePutAsideintentions2 > 0 youmighthavePutAsideintentions = youmighthavePutAsideintentions2.
if youmighthavePutAsideintentions3 > 0 youmighthavePutAsideintentions = youmighthavePutAsideintentions3. 
compute youmighthaveOwnRoomintentions = youmighthaveOwnRoomintentions1.
if youmighthaveOwnRoomintentions2 > 0 youmighthaveOwnRoomintentions = youmighthaveOwnRoomintentions2.
if youmighthaveOwnRoomintentions3 > 0 youmighthaveOwnRoomintentions = youmighthaveOwnRoomintentions3. 
compute youmighthaveWearMaskintentions = youmighthaveWearMaskintentions1.
if youmighthaveWearMaskintentions2 > 0 youmighthaveWearMaskintentions = youmighthaveWearMaskintentions2.
if youmighthaveWearMaskintentions3 > 0 youmighthaveWearMaskintentions = youmighthaveWearMaskintentions3. 

compute protectYourselfKeepDistanceintentions = protectYourselfKeepDistanceintentions1.
if protectYourselfKeepDistanceintentions2 > 0 protectYourselfKeepDistanceintentions = protectYourselfKeepDistanceintentions2.
if protectYourselfKeepDistanceintentions3 > 0 protectYourselfKeepDistanceintentions = protectYourselfKeepDistanceintentions3. 
compute protectYourselfCleanintentions = protectYourselfCleanintentions1.
if protectYourselfCleanintentions2 > 0 protectYourselfCleanintentions = protectYourselfCleanintentions2.
if protectYourselfCleanintentions3 > 0 protectYourselfCleanintentions = protectYourselfCleanintentions3. 
compute protectYourselfPutAsideintentions = protectYourselfPutAsideintentions1.
if protectYourselfPutAsideintentions2 > 0 protectYourselfPutAsideintentions = protectYourselfPutAsideintentions2.
if protectYourselfPutAsideintentions3 > 0 protectYourselfPutAsideintentions = protectYourselfPutAsideintentions3. 
compute protectYourselfOwnRoomintentions = protectYourselfOwnRoomintentions1.
if protectYourselfOwnRoomintentions2 > 0 protectYourselfOwnRoomintentions = protectYourselfOwnRoomintentions2.
if protectYourselfOwnRoomintentions3 > 0 protectYourselfOwnRoomintentions = protectYourselfOwnRoomintentions3. 
compute protectYourselfWearMaskintentions = protectYourselfWearMaskintentions1.
if protectYourselfWearMaskintentions2 > 0 protectYourselfWearMaskintentions = protectYourselfWearMaskintentions2.
if protectYourselfWearMaskintentions3 > 0 protectYourselfWearMaskintentions = protectYourselfWearMaskintentions3. 

compute someoneelsemighthaveKeepDistanceintentions = someoneelsemighthaveKeepDistanceintentions1.
if someoneelsemighthaveKeepDistanceintentions2 > 0 someoneelsemighthaveKeepDistanceintentions = someoneelsemighthaveKeepDistanceintentions2.
if someoneelsemighthaveKeepDistanceintentions3 > 0 someoneelsemighthaveKeepDistanceintentions = someoneelsemighthaveKeepDistanceintentions3. 
compute someoneelsemighthaveCleanintentions = someoneelsemighthaveCleanintentions1.
if someoneelsemighthaveCleanintentions2 > 0 someoneelsemighthaveCleanintentions = someoneelsemighthaveCleanintentions2.
if someoneelsemighthaveCleanintentions3 > 0 someoneelsemighthaveCleanintentions = someoneelsemighthaveCleanintentions3. 
compute someoneelsemighthavePutAsideintentions = someoneelsemighthavePutAsideintentions1.
if someoneelsemighthavePutAsideintentions2 > 0 someoneelsemighthavePutAsideintentions = someoneelsemighthavePutAsideintentions2.
if someoneelsemighthavePutAsideintentions3 > 0 someoneelsemighthavePutAsideintentions = someoneelsemighthavePutAsideintentions3. 
compute someoneelsemighthaveOwnRoomintentions = someoneelsemighthaveOwnRoomintentions1.
if someoneelsemighthaveOwnRoomintentions2 > 0 someoneelsemighthaveOwnRoomintentions = someoneelsemighthaveOwnRoomintentions2.
if someoneelsemighthaveOwnRoomintentions3 > 0 someoneelsemighthaveOwnRoomintentions = someoneelsemighthaveOwnRoomintentions3. 
compute someoneelsemighthaveWearMaskintentions = someoneelsemighthaveWearMaskintentions1.
if someoneelsemighthaveWearMaskintentions2 > 0 someoneelsemighthaveWearMaskintentions = someoneelsemighthaveWearMaskintentions2.
if someoneelsemighthaveWearMaskintentions3 > 0 someoneelsemighthaveWearMaskintentions = someoneelsemighthaveWearMaskintentions3. 

compute someoneelsehighriskKeepDistanceintentions = someoneelsehighriskKeepDistanceintentions1.
if someoneelsehighriskKeepDistanceintentions2 > 0 someoneelsehighriskKeepDistanceintentions = someoneelsehighriskKeepDistanceintentions2.
if someoneelsehighriskKeepDistanceintentions3 > 0 someoneelsehighriskKeepDistanceintentions = someoneelsehighriskKeepDistanceintentions3. 
compute someoneelsehighriskCleanintentions = someoneelsehighriskCleanintentions1.
if someoneelsehighriskCleanintentions2 > 0 someoneelsehighriskCleanintentions = someoneelsehighriskCleanintentions2.
if someoneelsehighriskCleanintentions3 > 0 someoneelsehighriskCleanintentions = someoneelsehighriskCleanintentions3. 
compute someoneelsehighriskPutAsideintentions = someoneelsehighriskPutAsideintentions1.
if someoneelsehighriskPutAsideintentions2 > 0 someoneelsehighriskPutAsideintentions = someoneelsehighriskPutAsideintentions2.
if someoneelsehighriskPutAsideintentions3 > 0 someoneelsehighriskPutAsideintentions = someoneelsehighriskPutAsideintentions3. 
compute someoneelsehighriskOwnRoomintentions = someoneelsehighriskOwnRoomintentions1.
if someoneelsehighriskOwnRoomintentions2 > 0 someoneelsehighriskOwnRoomintentions = someoneelsehighriskOwnRoomintentions2.
if someoneelsehighriskOwnRoomintentions3 > 0 someoneelsehighriskOwnRoomintentions = someoneelsehighriskOwnRoomintentions3. 
compute someoneelsehighriskWearMaskintentions = someoneelsehighriskWearMaskintentions1.
if someoneelsehighriskWearMaskintentions2 > 0 someoneelsehighriskWearMaskintentions = someoneelsehighriskWearMaskintentions2.
if someoneelsehighriskWearMaskintentions3 > 0 someoneelsehighriskWearMaskintentions = someoneelsehighriskWearMaskintentions3. 

***now calculate pathways

if pathway = 2 pathway_keepdistance_pre = protectYourselfKeepDistancePre.
if pathway = 2 pathway_clean_pre = protectYourselfCleanPre.
if pathway = 2 pathway_putaside_pre = protectYourselfPutAsidePre.
if pathway = 2 pathway_ownroom_pre = protectYourselfOwnRoomPre.
if pathway = 2 pathway_mask_pre = protectYourselfWearMaskPre.
if pathway = 2 pathway_keepdistance_post = protectYourselfKeepDistanceintentions.
if pathway = 2 pathway_clean_post = protectYourselfCleanintentions.
if pathway = 2 pathway_putaside_post = protectYourselfPutAsideintentions.
if pathway = 2 pathway_ownroom_post = protectYourselfOwnRoomintentions.
if pathway = 2 pathway_mask_post = protectYourselfWearMaskintentions.

if pathway = 3 pathway_keepdistance_pre = youmighthaveKeepDistancePre.
if pathway = 3 pathway_clean_pre = youmighthaveCleanPre.
if pathway = 3 pathway_putaside_pre = youmighthavePutAsidePre.
if pathway = 3 pathway_ownroom_pre = youmighthaveOwnRoomPre.
if pathway = 3 pathway_mask_pre = youmighthaveWearMaskPre.
if pathway = 3 pathway_keepdistance_post = youmighthaveKeepDistanceintentions.
if pathway = 3 pathway_clean_post = youmighthaveCleanintentions.
if pathway = 3 pathway_putaside_post = youmighthavePutAsideintentions.
if pathway = 3 pathway_ownroom_post = youmighthaveOwnRoomintentions.
if pathway = 3 pathway_mask_post = youmighthaveWearMaskintentions.

if pathway = 4 pathway_keepdistance_pre = someoneelsemighthaveKeepDistancePre.
if pathway = 4 pathway_clean_pre = someoneelsemighthaveCleanPre.
if pathway = 4 pathway_putaside_pre = someoneelsemighthavePutAsidePre.
if pathway = 4 pathway_ownroom_pre = someoneelsemighthaveOwnRoomPre.
if pathway = 4 pathway_mask_pre = someoneelsemighthaveWearMaskPre.
if pathway = 4 pathway_keepdistance_post = someoneelsemighthaveKeepDistanceintentions.
if pathway = 4 pathway_clean_post = someoneelsemighthaveCleanintentions.
if pathway = 4 pathway_putaside_post = someoneelsemighthavePutAsideintentions.
if pathway = 4 pathway_ownroom_post = someoneelsemighthaveOwnRoomintentions.
if pathway = 4 pathway_mask_post = someoneelsemighthaveWearMaskintentions.


if pathway = 5 pathway_keepdistance_pre = someoneelsehighriskKeepDistancePre.
if pathway = 5 pathway_clean_pre = someoneelsehighriskCleanPre.
if pathway = 5 pathway_putaside_pre = someoneelsehighriskPutAsidePre.
if pathway = 5 pathway_ownroom_pre = someoneelsehighriskOwnRoomPre.
if pathway = 5 pathway_mask_pre = someoneelsehighriskWearMaskPre.
if pathway = 5 pathway_keepdistance_post = someoneelsehighriskKeepDistanceintentions.
if pathway = 5 pathway_clean_post = someoneelsehighriskCleanintentions.
if pathway = 5 pathway_putaside_post = someoneelsehighriskPutAsideintentions.
if pathway = 5 pathway_ownroom_post = someoneelsehighriskOwnRoomintentions.
if pathway = 5 pathway_mask_post = someoneelsehighriskWearMaskintentions.


***now compute GROUP - this is the protection group that people selected first (not including hand hygiene**

compute group = pathway.
if pathway = 1 or pathway = 6 or pathway = 7 or pathway = 8 group = pathway2.
if group = 1 or group = 6 or group = 7 or group = 8 group = pathway3.
if group = 1 or group = 6 or group = 7 or group = 8 group = pathway4.
if group = 1 or group = 6 or group = 7 or group = 8 group = pathway5.
if group = 1 or group = 6 or group = 7 or group = 8 group = $sysmis.
execute.

variable labels group 'Protection group'.

compute group2 = 0.
if group > 0 group2 = group.
if group2 < 6 group = group2.
variable labels group 'Protection group'.
value labels group
0 'None allocated'
2 'Protect Yourself'
3 'You Might Have'
4 'Someone Else Might Have'
5 'Someone Else High Risk'.
execute.

*compute group variables

if group = 2 group_keepdistance_pre = protectYourselfKeepDistancePre.
if group = 2 group_clean_pre = protectYourselfCleanPre.
if group = 2 group_putaside_pre = protectYourselfPutAsidePre.
if group = 2 group_ownroom_pre = protectYourselfOwnRoomPre.
if group = 2 group_mask_pre = protectYourselfWearMaskPre.
if group = 2 group_keepdistance_post = protectYourselfKeepDistanceintentions.
if group = 2 group_clean_post = protectYourselfCleanintentions.
if group = 2 group_putaside_post = protectYourselfPutAsideintentions.
if group = 2 group_ownroom_post = protectYourselfOwnRoomintentions.
if group = 2 group_mask_post = protectYourselfWearMaskintentions.

if group = 3 group_keepdistance_pre = youmighthaveKeepDistancePre.
if group = 3 group_clean_pre = youmighthaveCleanPre.
if group = 3 group_putaside_pre = youmighthavePutAsidePre.
if group = 3 group_ownroom_pre = youmighthaveOwnRoomPre.
if group = 3 group_mask_pre = youmighthaveWearMaskPre.
if group = 3 group_keepdistance_post = youmighthaveKeepDistanceintentions.
if group = 3 group_clean_post = youmighthaveCleanintentions.
if group = 3 group_putaside_post = youmighthavePutAsideintentions.
if group = 3 group_ownroom_post = youmighthaveOwnRoomintentions.
if group = 3 group_mask_post = youmighthaveWearMaskintentions.

if group = 4 group_keepdistance_pre = someoneelsemighthaveKeepDistancePre.
if group = 4 group_clean_pre = someoneelsemighthaveCleanPre.
if group = 4 group_putaside_pre = someoneelsemighthavePutAsidePre.
if group = 4 group_ownroom_pre = someoneelsemighthaveOwnRoomPre.
if group = 4 group_mask_pre = someoneelsemighthaveWearMaskPre.
if group = 4 group_keepdistance_post = someoneelsemighthaveKeepDistanceintentions.
if group = 4 group_clean_post = someoneelsemighthaveCleanintentions.
if group = 4 group_putaside_post = someoneelsemighthavePutAsideintentions.
if group = 4 group_ownroom_post = someoneelsemighthaveOwnRoomintentions.
if group = 4 group_mask_post = someoneelsemighthaveWearMaskintentions.


if group = 5 group_keepdistance_pre = someoneelsehighriskKeepDistancePre.
if group = 5 group_clean_pre = someoneelsehighriskCleanPre.
if group = 5 group_putaside_pre = someoneelsehighriskPutAsidePre.
if group = 5 group_ownroom_pre = someoneelsehighriskOwnRoomPre.
if group = 5 group_mask_pre = someoneelsehighriskWearMaskPre.
if group = 5 group_keepdistance_post = someoneelsehighriskKeepDistanceintentions.
if group = 5 group_clean_post = someoneelsehighriskCleanintentions.
if group = 5 group_putaside_post = someoneelsehighriskPutAsideintentions.
if group = 5 group_ownroom_post = someoneelsehighriskOwnRoomintentions.
if group = 5 group_mask_post = someoneelsehighriskWearMaskintentions.

compute group_mean_behaviour = mean(group_keepdistance_pre, group_clean_pre, group_putaside_pre, group_ownroom_pre, group_mask_pre).
compute group_mean_intention = mean(group_keepdistance_post, group_clean_post, group_putaside_post, group_ownroom_post, group_mask_post).
compute pathway_mean_behaviour = mean(pathway_keepdistance_pre, pathway_clean_pre, pathway_putaside_pre, pathway_ownroom_pre, pathway_mask_pre).
compute pathway_mean_intention = mean(pathway_keepdistance_post, pathway_clean_post, pathway_putaside_post, pathway_ownroom_post, pathway_mask_post).


SAVE OUTFILE='/Users/ba548/Documents/Research (Current)/Germ Defence/Description Data Paper/GDv3_preprocessed_200521.sav'
  /COMPRESSED.

*** cleann up dataset***

select if snapshot = 1.

compute handwash_behav_overall = averageWashPre.
compute hand_behav_snack = beforeSnackPre.
compute hand_behav_home = comeHomePre.
compute hand_behav_sneeze = afterSneezingPre.
compute hand_behav_contact = afterContactPre.
compute hand_behav_touch = afterTouchingPre.
compute handwash_intent_overall = averageWashintentions.
compute hand_intent_snack = beforeSnackintentions.
compute hand_intent_home = comeHomeintentions.
compute hand_intent_sneeze = afterSneezingintentions.
compute hand_intent_contact = afterContactintentions.
compute hand_intent_touch = afterTouchingintentions.

compute group_behav_distance = group_keepdistance_pre.
compute group_behav_clean = group_clean_pre.
compute group_behav_putaside = group_putaside_pre.
compute group_behav_ownroom = group_ownroom_pre.
compute group_behav_mask = group_mask_pre.
compute group_intent_distance = group_keepdistance_post.
compute group_intent_clean = group_clean_post.
compute group_intent_putaside = group_putaside_post.
compute group_intent_ownroom = group_ownroom_post.
compute group_intent_mask = group_mask_post.

compute hand_behav_mean = mean(averageWashPre,beforeSnackPre,afterSneezingPre,comeHomePre,afterContactPre,afterTouchingPre).
compute hand_intent_mean = mean(averageWashintentions,beforeSnackintentions,afterSneezingintentions,comeHomeintentions,afterContactintentions,afterTouchingintentions).
compute group_mean_behaviour = mean(group_behav_distance, group_behav_clean, group_behav_putaside, group_behav_mask, group_behav_ownroom).
compute group_mean_intention = mean(group_intent_distance, group_intent_clean, group_intent_putaside, group_intent_ownroom, group_intent_mask).

variable labels group_behav_distance 'Behaviour: Keep distance'.
variable labels group_behav_clean 'Behaviour: Clean / Disinfect'.
variable labels group_behav_putaside  'Behaviour: Put Items Aside'.
variable labels group_behav_ownroom 'Behaviour: Isolate in own room'.
variable labels group_behav_mask  'Behaviour: Wear mask / Glasses'.
variable labels group_intent_distance 'Intention: Keep distance'.
variable labels group_intent_clean  'Intention: Clean / Disinfect'.
variable labels group_intent_putaside  'Intention: ut Items Aside'.
variable labels group_intent_ownroom  'Intention: Isolate in own room'.
variable labels group_intent_mask  'Intention: Wear mask / Glasses'.

variable labels handwash_behav_overall 'Behaviour: Overall Hand Hygiene'.
variable labels hand_behav_snack 'Behaviour: Wash hands before snacks'.
variable labels hand_behav_home  'Behaviour: Wash hands after coming home'.
variable labels hand_behav_sneeze  'Behaviour: Wash hands after sneezing'.
variable labels hand_behav_contact  'Behaviour: Wash hands after contact with possible carrier'.
variable labels hand_behav_touch  'Behaviour: Wash hands after touching someone'.
variable labels handwash_intent_overall  'Intention: Overall Hand Hygiene'.
variable labels hand_intent_snack 'Intention: Wash hands before snacks'.
variable labels hand_intent_home 'Intention: Wash hands after coming home'.
variable labels hand_intent_sneeze  'Intention: Wash hands after sneezing'.
variable labels hand_intent_contact  'Intention: Wash hands after contact with possible carrier'.
variable labels hand_intent_touch  'Intention: Wash hands after touching someone'.

variable labels hand_behav_mean 'Behaviour: Hand Hygiene Mean'.
variable labels hand_intent_mean 'Intention: Hand Hygiene Mean'.

variable labels group_mean_behaviour 'Behaviour: Infection Control Mean'.
variable labels group_mean_intention 'Intention: Infection Control Mean'.


value labels handwash_behav_overall to group_intent_mask
1 'Almost never'
2 'Sometimes'
3 'Quite often'
4 'Very often'
5 'Almost always'.
execute.

compute group_change_distance = group_intent_distance - group_behav_distance.
compute group_change_clean = group_intent_clean - group_behav_clean.
compute group_change_putaside = group_intent_putaside - group_behav_putaside.
compute group_change_ownroom = group_intent_ownroom - group_behav_ownroom.
compute group_change_mask = group_intent_mask - group_behav_mask.
compute group_mean_change = group_mean_intention - group_mean_behaviour.
variable labels group_change_distance 'Change: Keep distance'
group_change_clean  'Change: Clean / Disinfect'
group_change_putaside  'Change: Put Items Aside'
group_change_ownroom  'Change: Isolate in own room'
group_change_mask  'Change: Wear mask / Glasses'
group_mean_change 'Change: Mean'.
EXECUTE.


GET FILE='/Users/ba548/Documents/Research (Current)/Germ Defence/Description Data Paper/GDv3_preprocessed_200521.sav'.

MATCH FILES
FILE = * /BY
KEEP = id dateonly group pathway handwashing helpful 
handwash_behav_overall hand_behav_snack hand_behav_home hand_behav_sneeze hand_behav_contact hand_behav_touch hand_behav_mean
handwash_intent_overall hand_intent_snack hand_intent_home hand_intent_sneeze hand_intent_contact hand_intent_touch hand_intent_mean
group_behav_distance group_behav_clean group_behav_putaside group_behav_ownroom group_behav_mask group_mean_behaviour
group_intent_distance group_intent_clean group_intent_putaside group_intent_ownroom group_intent_mask group_mean_intention
group_change_distance group_change_clean group_change_putaside group_change_ownroom group_change_mask group_mean_change.
SAVE outfile= 'GD_BMJfile.sav'.
EXECUTE.

  *First usage comes from analytics.

*data


freq group.

sort cases by group.
split file by group.
 freq handwashing.
split file off.

if group > 0 tailored = 1.
sort cases by tailored.
split file by tailored.
freq handwashing.
split file off.

desc helpful.
sort cases by group.
split file by group.
desc helpful.
split file off.


*** ANALYSIS ****

*1. Data summaries for the abstract.

*frequencies.
compute measures = 0.
if  > 0 or group_mean_behaviour > 0 measures = 1.
compute helpful_measures = 0.
if helpful > 0 or hand_behav_mean > 0 or group_mean_behaviour > 0 helpful_measures = 1.
freq hand_behav_mean group_mean_behaviour helpful_measures measures.

**overall means**.
MEANS group_behav_distance group_behav_clean group_behav_putaside group_behav_ownroom 
    group_behav_mask group_mean_behaviour.
**overall group means**.
sort cases by group.
split file by group.
means group_mean_behaviour.
split file off.
**behaviour > intention.
ttest pairs = group_mean_behaviour with group_mean_intention.
means handwash_behav_overall.


*Usage of the Germ Defence website

***main analysis**

freq group.
crosstabs handwashing BY group.
compute allocated = 1.
if group = 0 allocated = 0.
crosstabs handwashing BY allocated.


MEANS helpful BY group.
sort cases by allocated.
split file by allocated.
oneway helpful by group
/posthoc bonferroni.
split file off.

**infection control behaviour**.
means group_behav_distance group_behav_clean group_behav_putaside group_behav_ownroom 
    group_behav_mask group_mean_behaviour.

**Table 1***
Linear regression analysis performed in STATA - please see stata file in figshare.
means group_behav_distance group_behav_clean group_behav_putaside group_behav_ownroom 
    group_behav_mask group_mean_behaviour by group.
means group_intent_distance to group_intent_mask group_mean_intention by group.

**Table 2*.
ttest pairs =  group_intent_distance to group_intent_mask group_mean_intention with group_behav_distance to group_behav_mask group_mean_behaviour (paired).
sort cases by group.
split file by group.
ttest pairs =  group_intent_distance to group_intent_mask group_mean_intention with group_behav_distance to group_behav_mask group_mean_behaviour (paired).
split file off.

**Table 3**.
ttest pairs = handwash_intent_overall to hand_intent_touch with handwash_behav_overall to hand_behav_touch (paired).
execute.
    
**Appendix 1**.
variable labels dateonly 'Date of website use'.
GRAPH
  /bar = mean(group_mean_behaviour) by dateonly
  /interval ci(95.0).


